# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-12 06:26
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Fecha Creación')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Fecha Modificación')),
                ('is_deleted', models.BooleanField(default=False, editable=False)),
                ('prefix', models.CharField(default='PRO', max_length=3)),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('correlative_num', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('name', models.CharField(max_length=100, null=True, verbose_name='Producto')),
            ],
            options={
                'verbose_name': 'Product',
                'verbose_name_plural': 'Products',
                'ordering': ['-created_at'],
                'default_related_name': 'products',
            },
        ),
        migrations.CreateModel(
            name='SubProduct',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('name', models.CharField(max_length=200, null=True, verbose_name='SubProducto')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subproducts', to='products.Product', verbose_name='Producto')),
            ],
            options={
                'verbose_name': 'SubProduct',
                'verbose_name_plural': 'SubProducts',
                'default_related_name': 'subproducts',
            },
        ),
    ]
